path: /build/build/xapps-x11-libs-2.0.4+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-gtk-doc -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9 introspection" emerge x11-libs/xapps -pv -t && \
    USE="-gtk-doc -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9 introspection" emerge -j ${JOBS} --nodeps x11-libs/xapps
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/xapps && luet-portage --dir /pkgdir/xapps
    x11-libs/xapps && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deb260c0a0599cb6dc14bd266ef78f86d86ee2a095f405a5a5447b75cece8f83
  package:
    name: xapps
    version: 2.0.4+1
    category: x11-libs
    use_flags:
    - -gtk-doc
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    - introspection
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Cross-desktop libraries and common resources
    uri:
    - https://github.com/linuxmint/xapps/
    license: GPL-3
    buildtimestamp: 2023-09-12 22:05:20.202032935 +0000 UTC m=+189.358180232
    labels:
      BDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        dev-python/pygobject:3[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        dev-util/gdbus-codegen >=dev-util/intltool-0.40.6 sys-devel/gettext >=app-portage/elt-patches-20170815
        app-arch/xz-utils >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=dev-libs/glib-2.37.3:2 dev-libs/gobject-introspection:0= gnome-base/libgnomekbd
        x11-libs/cairo >=x11-libs/gdk-pixbuf-2.22.0:2[introspection?] >=x11-libs/gtk+-3.3.16:3[introspection?]
        x11-libs/libxkbfile dev-libs/libdbusmenu[gtk3] sys-devel/gettext gtk-doc?
        ( dev-util/gtk-doc ) || ( dev-lang/vala:0.50[vapigen(+)] dev-lang/vala:0.48[vapigen(+)]
        dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)] dev-lang/vala:0.42[vapigen(+)]
        dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)] ) dev-util/desktop-file-utils
        x11-misc/shared-mime-info
      IUSE: gtk-doc introspection static-libs python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python3_10
      RDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=dev-libs/glib-2.37.3:2 dev-libs/gobject-introspection:0= gnome-base/libgnomekbd
        x11-libs/cairo >=x11-libs/gdk-pixbuf-2.22.0:2[introspection?] >=x11-libs/gtk+-3.3.16:3[introspection?]
        x11-libs/libxkbfile dev-libs/libdbusmenu[gtk3]
      emerge.packages: x11-libs/xapps
      kit: gnome-kit
      original.package.name: x11-libs/xapps
      original.package.slot: "0"
      original.package.version: 2.0.4
    treedir: /build/packages
  package_dir: /pkgdir/xapps
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6ada741a8b3e4990f98a64737c9bbcd6be837056dc28956ea2ebde5d97a00a17
compressiontype: zstd
files:
- etc/X11/xinit/xinitrc.d/80xapp-gtk3-module.sh
- etc/xdg/autostart/xapp-sn-watcher.desktop
- usr/include/xapp/libxapp/xapp-favorites.h
- usr/include/xapp/libxapp/xapp-gtk-window.h
- usr/include/xapp/libxapp/xapp-icon-chooser-button.h
- usr/include/xapp/libxapp/xapp-icon-chooser-dialog.h
- usr/include/xapp/libxapp/xapp-kbd-layout-controller.h
- usr/include/xapp/libxapp/xapp-monitor-blanker.h
- usr/include/xapp/libxapp/xapp-preferences-window.h
- usr/include/xapp/libxapp/xapp-stack-sidebar.h
- usr/include/xapp/libxapp/xapp-status-icon-monitor.h
- usr/include/xapp/libxapp/xapp-status-icon.h
- usr/include/xapp/libxapp/xapp-statusicon-interface.h
- usr/include/xapp/libxapp/xapp-util.h
- usr/lib/python3.9/site-packages/gi/overrides/XApp.py
- usr/lib/python3.9/site-packages/gi/overrides/__pycache__/XApp.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/gi/overrides/__pycache__/XApp.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/gi/overrides/__pycache__/XApp.cpython-39.pyc
- usr/lib64/girepository-1.0/XApp-1.0.typelib
- usr/lib64/gtk-3.0/modules/libxapp-gtk3-module.so
- usr/lib64/libxapp.so
- usr/lib64/libxapp.so.1
- usr/lib64/libxapp.so.2.0.4
- usr/lib64/pkgconfig/xapp.pc
- usr/libexec/xapps/applet_constants.py
- usr/libexec/xapps/mate-xapp-status-applet.py
- usr/libexec/xapps/sn-watcher/xapp-sn-watcher
- usr/share/dbus-1/services/org.mate.panel.applet.MateXAppStatusAppletFactory.service
- usr/share/dbus-1/services/org.x.StatusNotifierWatcher.service
- usr/share/doc/xapps-2.0.4/AUTHORS.bz2
- usr/share/doc/xapps-2.0.4/ChangeLog
- usr/share/doc/xapps-2.0.4/README.md.bz2
- usr/share/gir-1.0/XApp-1.0.gir
- usr/share/glade/catalogs/xapp-glade-catalog.xml
- usr/share/glib-2.0/schemas/org.x.apps.gschema.xml
- usr/share/icons/hicolor/scalable/actions/add-files-to-archive-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/category-search-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/extract-archive-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/media-mount-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/view-bottom-pane-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/view-left-pane-symbolic-rtl.svg
- usr/share/icons/hicolor/scalable/actions/view-left-pane-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/view-right-pane-symbolic-rtl.svg
- usr/share/icons/hicolor/scalable/actions/view-right-pane-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/view-top-pane-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/xapp-annotations-squiggly-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/xapp-annotations-text-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/xapp-diaporama-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/xapp-favorite-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/xapp-format-text-highlight-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/xapp-go-history-next-symbolic-rtl.svg
- usr/share/icons/hicolor/scalable/actions/xapp-go-history-next-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/xapp-go-history-previous-symbolic-rtl.svg
- usr/share/icons/hicolor/scalable/actions/xapp-go-history-previous-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/xapp-pin-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/xapp-search-entire-word-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/xapp-search-wrap-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/xapp-text-case-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/xapp-unfavorite-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/xapp-unpin-symbolic.svg
- usr/share/icons/hicolor/scalable/actions/xapp-use-regex-symbolic.svg
- usr/share/icons/hicolor/scalable/apps/xapp-favorites-app-symbolic.svg
- usr/share/icons/hicolor/scalable/apps/xapp-favorites-app.svg
- usr/share/icons/hicolor/scalable/categories/xapp-prefs-behavior-symbolic.svg
- usr/share/icons/hicolor/scalable/categories/xapp-prefs-display-symbolic.svg
- usr/share/icons/hicolor/scalable/categories/xapp-prefs-plugins-symbolic.svg
- usr/share/icons/hicolor/scalable/categories/xapp-prefs-preview-symbolic.svg
- usr/share/icons/hicolor/scalable/categories/xapp-prefs-toolbar-symbolic.svg
- usr/share/icons/hicolor/scalable/emblems/emblem-xapp-favorite.svg
- usr/share/icons/hicolor/scalable/places/xapp-user-favorites-symbolic.svg
- usr/share/icons/hicolor/scalable/places/xapp-user-favorites.svg
- usr/share/locale/af/LC_MESSAGES/xapp.mo
- usr/share/locale/am/LC_MESSAGES/xapp.mo
- usr/share/locale/ar/LC_MESSAGES/xapp.mo
- usr/share/locale/az/LC_MESSAGES/xapp.mo
- usr/share/locale/ber/LC_MESSAGES/xapp.mo
- usr/share/locale/bg/LC_MESSAGES/xapp.mo
- usr/share/locale/bn/LC_MESSAGES/xapp.mo
- usr/share/locale/ca/LC_MESSAGES/xapp.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/xapp.mo
- usr/share/locale/cs/LC_MESSAGES/xapp.mo
- usr/share/locale/cy/LC_MESSAGES/xapp.mo
- usr/share/locale/da/LC_MESSAGES/xapp.mo
- usr/share/locale/de/LC_MESSAGES/xapp.mo
- usr/share/locale/el/LC_MESSAGES/xapp.mo
- usr/share/locale/en_GB/LC_MESSAGES/xapp.mo
- usr/share/locale/eo/LC_MESSAGES/xapp.mo
- usr/share/locale/es/LC_MESSAGES/xapp.mo
- usr/share/locale/et/LC_MESSAGES/xapp.mo
- usr/share/locale/eu/LC_MESSAGES/xapp.mo
- usr/share/locale/fi/LC_MESSAGES/xapp.mo
- usr/share/locale/fr/LC_MESSAGES/xapp.mo
- usr/share/locale/fr_CA/LC_MESSAGES/xapp.mo
- usr/share/locale/he/LC_MESSAGES/xapp.mo
- usr/share/locale/hi/LC_MESSAGES/xapp.mo
- usr/share/locale/hr/LC_MESSAGES/xapp.mo
- usr/share/locale/hu/LC_MESSAGES/xapp.mo
- usr/share/locale/ia/LC_MESSAGES/xapp.mo
- usr/share/locale/id/LC_MESSAGES/xapp.mo
- usr/share/locale/ie/LC_MESSAGES/xapp.mo
- usr/share/locale/is/LC_MESSAGES/xapp.mo
- usr/share/locale/it/LC_MESSAGES/xapp.mo
- usr/share/locale/ja/LC_MESSAGES/xapp.mo
- usr/share/locale/ka/LC_MESSAGES/xapp.mo
- usr/share/locale/kab/LC_MESSAGES/xapp.mo
- usr/share/locale/kk/LC_MESSAGES/xapp.mo
- usr/share/locale/ko/LC_MESSAGES/xapp.mo
- usr/share/locale/ku/LC_MESSAGES/xapp.mo
- usr/share/locale/lt/LC_MESSAGES/xapp.mo
- usr/share/locale/mai/LC_MESSAGES/xapp.mo
- usr/share/locale/ms/LC_MESSAGES/xapp.mo
- usr/share/locale/nl/LC_MESSAGES/xapp.mo
- usr/share/locale/oc/LC_MESSAGES/xapp.mo
- usr/share/locale/pl/LC_MESSAGES/xapp.mo
- usr/share/locale/pt/LC_MESSAGES/xapp.mo
- usr/share/locale/pt_BR/LC_MESSAGES/xapp.mo
- usr/share/locale/ro/LC_MESSAGES/xapp.mo
- usr/share/locale/ru/LC_MESSAGES/xapp.mo
- usr/share/locale/sk/LC_MESSAGES/xapp.mo
- usr/share/locale/sl/LC_MESSAGES/xapp.mo
- usr/share/locale/sr/LC_MESSAGES/xapp.mo
- usr/share/locale/sr@latin/LC_MESSAGES/xapp.mo
- usr/share/locale/sv/LC_MESSAGES/xapp.mo
- usr/share/locale/tr/LC_MESSAGES/xapp.mo
- usr/share/locale/uk/LC_MESSAGES/xapp.mo
- usr/share/locale/uz/LC_MESSAGES/xapp.mo
- usr/share/locale/zgh/LC_MESSAGES/xapp.mo
- usr/share/locale/zh_CN/LC_MESSAGES/xapp.mo
- usr/share/locale/zh_HK/LC_MESSAGES/xapp.mo
- usr/share/locale/zh_TW/LC_MESSAGES/xapp.mo
- usr/share/mate-panel/applets/org.x.MateXAppStatusApplet.mate-panel-applet
- usr/share/vala/vapi/xapp.deps
- usr/share/vala/vapi/xapp.vapi
- var/db/pkg/x11-libs/xapps-2.0.4/BDEPEND
- var/db/pkg/x11-libs/xapps-2.0.4/BUILD_TIME
- var/db/pkg/x11-libs/xapps-2.0.4/CATEGORY
- var/db/pkg/x11-libs/xapps-2.0.4/CBUILD
- var/db/pkg/x11-libs/xapps-2.0.4/CFLAGS
- var/db/pkg/x11-libs/xapps-2.0.4/CHOST
- var/db/pkg/x11-libs/xapps-2.0.4/CONTENTS
- var/db/pkg/x11-libs/xapps-2.0.4/COUNTER
- var/db/pkg/x11-libs/xapps-2.0.4/CXXFLAGS
- var/db/pkg/x11-libs/xapps-2.0.4/DEFINED_PHASES
- var/db/pkg/x11-libs/xapps-2.0.4/DEPEND
- var/db/pkg/x11-libs/xapps-2.0.4/DESCRIPTION
- var/db/pkg/x11-libs/xapps-2.0.4/EAPI
- var/db/pkg/x11-libs/xapps-2.0.4/FEATURES
- var/db/pkg/x11-libs/xapps-2.0.4/HOMEPAGE
- var/db/pkg/x11-libs/xapps-2.0.4/INHERITED
- var/db/pkg/x11-libs/xapps-2.0.4/IUSE
- var/db/pkg/x11-libs/xapps-2.0.4/IUSE_EFFECTIVE
- var/db/pkg/x11-libs/xapps-2.0.4/KEYWORDS
- var/db/pkg/x11-libs/xapps-2.0.4/LDFLAGS
- var/db/pkg/x11-libs/xapps-2.0.4/LICENSE
- var/db/pkg/x11-libs/xapps-2.0.4/NEEDED
- var/db/pkg/x11-libs/xapps-2.0.4/PF
- var/db/pkg/x11-libs/xapps-2.0.4/PROVIDES
- var/db/pkg/x11-libs/xapps-2.0.4/RDEPEND
- var/db/pkg/x11-libs/xapps-2.0.4/REQUIRES
- var/db/pkg/x11-libs/xapps-2.0.4/SIZE
- var/db/pkg/x11-libs/xapps-2.0.4/SLOT
- var/db/pkg/x11-libs/xapps-2.0.4/USE
- var/db/pkg/x11-libs/xapps-2.0.4/environment.bz2
- var/db/pkg/x11-libs/xapps-2.0.4/repository
- var/db/pkg/x11-libs/xapps-2.0.4/xapps-2.0.4.ebuild
package_cacheimage: ""
runtime:
  name: xapps
  version: 2.0.4+1
  category: x11-libs
  use_flags:
  - -gtk-doc
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  - introspection
  requires:
  - name: libdbusmenu
    version: '>=0'
    category: dev-libs
  - name: libgnomekbd
    version: '>=0'
    category: gnome-base
  - name: cairo
    version: '>=0'
    category: x11-libs
  - name: gdk-pixbuf
    version: '>=0'
    category: x11-libs-2
  - name: libxkbfile
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Cross-desktop libraries and common resources
  uri:
  - https://github.com/linuxmint/xapps/
  license: GPL-3
  labels:
    BDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      dev-python/pygobject:3[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      dev-util/gdbus-codegen >=dev-util/intltool-0.40.6 sys-devel/gettext >=app-portage/elt-patches-20170815
      app-arch/xz-utils >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=dev-libs/glib-2.37.3:2 dev-libs/gobject-introspection:0= gnome-base/libgnomekbd
      x11-libs/cairo >=x11-libs/gdk-pixbuf-2.22.0:2[introspection?] >=x11-libs/gtk+-3.3.16:3[introspection?]
      x11-libs/libxkbfile dev-libs/libdbusmenu[gtk3] sys-devel/gettext gtk-doc? (
      dev-util/gtk-doc ) || ( dev-lang/vala:0.50[vapigen(+)] dev-lang/vala:0.48[vapigen(+)]
      dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)] dev-lang/vala:0.42[vapigen(+)]
      dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)] ) dev-util/desktop-file-utils
      x11-misc/shared-mime-info
    IUSE: gtk-doc introspection static-libs python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python3_10
    RDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=dev-libs/glib-2.37.3:2 dev-libs/gobject-introspection:0= gnome-base/libgnomekbd
      x11-libs/cairo >=x11-libs/gdk-pixbuf-2.22.0:2[introspection?] >=x11-libs/gtk+-3.3.16:3[introspection?]
      x11-libs/libxkbfile dev-libs/libdbusmenu[gtk3]
    emerge.packages: x11-libs/xapps
    kit: gnome-kit
    original.package.name: x11-libs/xapps
    original.package.slot: "0"
    original.package.version: 2.0.4
